Bug 806110 - RFE: Add more examples of creating and managing users and roles through CLI scripts
RFE: Add more examples of creating and managing users and roles through CLI s...
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Documentation (Show other bugs)
JON 3.0.0
Unspecified Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: Deon Ballard
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-22 18:17 EDT by Deon Ballard
Modified: 2014-10-23 08:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-02 15:42:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
automated CLI test for roles (669 bytes, application/javascript)
2012-03-27 13:24 EDT, Mike Foley
no flags Details
automated CLI test for subjects (1.77 KB, application/javascript)
2012-03-27 13:25 EDT, Mike Foley
no flags Details
automated CLI test for adding and deleting users (2.14 KB, application/javascript)
2012-03-27 13:25 EDT, Mike Foley
no flags Details

  None (edit)
Description Deon Ballard 2012-03-22 18:17:46 EDT
$SUBJECT for now, details to follow.
Comment 1 Mike Foley 2012-03-23 07:31:15 EDT
1) flagging this BZ for automation by QE by adding NeedsTestCase keyword

2) creating QE ticket under CLI Automation milestone
https://engineering.redhat.com/trac/jon/ticket/77

3) Initial set of proposed tests (by Sunny)

Creating a user and automatically assigning them to a specific role
Creating a role, assigning resource groups, and setting permissions on it
Checking the roles for a specific user
Changing user passwords
Checking current JON sessions

4)  Team:  please add and document additional testcases that you can think of in this area
Comment 2 Mike Foley 2012-03-26 11:57:38 EDT
medium, no target release 

per bz triage (crouch, mfoley, asantos, loleary)
Comment 3 Mike Foley 2012-03-27 07:16:20 EDT
initial set of CLI automation for roles and subjects completed.

https://engineering.redhat.com/trac/jon/ticket/77#comment:7

removing "NeedsTestCase" keyword
Comment 4 Mike Foley 2012-03-27 13:24:17 EDT
adding 1 more automated CLI test and attaching to this BZ (for reference ... in case it can be leveraged in the documentation)
Comment 5 Mike Foley 2012-03-27 13:24:56 EDT
Created attachment 573137 [details]
automated CLI test for roles
Comment 6 Mike Foley 2012-03-27 13:25:23 EDT
Created attachment 573138 [details]
automated CLI test for subjects
Comment 7 Mike Foley 2012-03-27 13:25:53 EDT
Created attachment 573139 [details]
automated CLI test for adding and deleting users
Comment 8 Deon Ballard 2012-06-25 21:34:33 EDT
Added user and role examples here:
http://docs.redhat.com/docs/en-US/JBoss_Operations_Network/3.1/html/Dev_Writing_JON_Command-Line_Scripts/admin.html

This has creating a role, creating a user, and adding a user to a role. I took that from Mike (thanks, Mike!). I couldn't find out how to do password changes or how to manage sessions, so I'm going to ignore that for now and revisit it later.

Note You need to log in before you can comment on or make changes to this bug.